# nodeedge.sml

clear();
tin Tout;
numeric numtriangles, triangle;
numeric node1, node2, node3;
numeric edge12, edge23, edge31;
GetOutputTIN(Tout, "TINToolkit", "ComputeStandardAttributes");

# pick a triangle less than or equal
# to number of triangles
numtriangles = TINNumberTriangles(Tout);
triangle = floor(numtriangles / 2);

TINGetTriangleNodesAndEdges(Tout, triangle, node1, node2,node3, edge12, edge23, edge31);
string temp$ = "node, x1, y1triangle, node1, ";
temp$ = temp$ + "node2, node3, edge12, edge23, edge31 ";
print(temp$, triangle, node1, node2, node3, edge12, edge23, edge31);
