# objname.sml

################################################################
# GetObjectFilename(objectNumber)
################################################################

numeric objNum;
string str$;
RASTER Rin;
VECTOR Vin;
TIN TINin;

clear();
GetInputRaster( Rin ); 
str$ = GetObjectFileName( Rin ); # get the RVC file name
objNum = GetObjectNumber( Rin ); # and object number
print( "Raster Object Number: ", objNum, "RVC file Name: ", str$ );

GetInputVector( Vin );
str$ = GetObjectFileName( Vin ); # get the RVC file name
objNum = GetObjectNumber( Vin ); # and object number
print( "Vector Object Number: ", objNum, "RVC file Name: ", str$ );

GetInputTIN(TINin);
str$ = GetObjectFileName( TINin ); # get the RVC file name
objNum = GetObjectNumber( TINin ); # and object number
print( "TIN Object Number: ", objNum, "RVC file Name: ", str$ );
