# tintov.sml
# Converts TIN object to vector object as contour lines.

# set up variables to hold flag values
numeric flagDefault = 0;
numeric flagLogScale = 1;
numeric zInterval;
TIN TinIn;
VECTOR Vout1, Vout2, Vout3;

GetInputTIN( TinIn );

GetOutputVector(Vout1);
print( "calling TinToVectorContour for Vout1" );
zInterval = 20;
Vout1 = TINToVectorContour( TinIn, zInterval );
print( "Done with Vout1" );

GetOutputVector(Vout2);
print( "calling TinToVectorContour for Vout2" );
zInterval = 40;
Vout2 = TINToVectorContour( TinIn, zInterval, flagDefault );
print( "Done with Vout1" );

GetOutputVector(Vout3);
print( "calling TinToVectorContour for Vout3" );
zInterval = 40;
# set values that work for CB_ELEV/TIN_16
numeric zStart = 1060;
numeric zEnd = 1360;
numeric zScale = 1;
numeric zOffset = 0;
Vout3 = TINToVectorContour( TinIn, zInterval, flagLogScale, 
		zInterval, zStart, zEnd, zScale  );
print( "Done with Vout3" );


